import React, { Component } from 'react'
import Store from "../../../utils/store";



export default class Information extends Component {

    constructor(props) {
        super(props);
        const store = new Store('mangopaid');

        this.state = {
            store:store,
            config: {
                currency: '',
                min_o_free: ''
            }
        }
        this.calcPrice=this.calcPrice.bind(this);
    }
    async UNSAFE_componentWillMount() {
        await this.state.store.api_post_call('getShopConfig', {}).then(res=> {
            this.setState({config:  res.data.values});
            console.log('config', res.data.values);

        }).catch(err => {
            console.log(err);
        })
    }

    calcPrice(val) {
        let store = null;
        store = new Store('mangopaid');
        return store.calculateCurrencies(this.props.calculateCurrencies,val);
    }

    render () {

        let currency = this.state.config.currency;
        let shipping_fee = this.state.config.shipping_fee;
        let min_o_free = this.state.config.min_o_free;
        let limit = parseInt(min_o_free);
        return (
            // <section className='product-area pt-35 pb-35 mb-25 mont' style={{backgroundColor: '#ebf1f6' }} >
            <section className='product-area pt-35 pb-35 mb-25 mont' >
                    <div className='container mb-30 justify-content-center p-0'  style={{
                        borderLeft: '1px solid #e8e8e8', borderRight: '1px solid #e8e8e8'}} >
                        <div className="d-none d-sm-block">
                        <div className='row' style={{backgroundColor: 'white'}}>
                            <div  style={{
                                paddingTop: '30px', padding: '15px',  flex: '0 0 20%', position: "relative",
                                borderRight: '1px solid white', minWidth:'25%', maxWidth: '25%', textAlign: 'center'
                            }}>
                                <div className='feature-icon'>
                                    <i style={{color: '#e06377', fontSize: '25px'}} className='fas fa-headphones mb-10'> </i>
                                </div>
                                <div className='feature-details'>
                                    <h5 className="mont">24/7 SUPPORT</h5>
                                    <span style={{color: '#6e6e6e'}}>Support à chaque fois</span>
                                </div>

                            </div>
                            <div  style={{
                                paddingTop: '30px', padding: '15px',  flex: '0 0 20%', position: "relative",
                                borderRight: '1px solid white', minWidth:'25%', maxWidth: '25%', textAlign: 'center'                            }}>
                                <div className='feature-icon'>
                                    <i className='fas fa-shield-alt mb-10' style={{color: '#e06377' , fontSize: '25px'}}> </i>
                                </div>
                                <div className='feature-details'>
                                    <h5 className="mont">PAIEMENT SÉCURISÉ</h5>
                                    <span style={{color: '#6e6e6e'}}>100% sécurisé</span>
                                </div>

                            </div>
                            <div   style={{
                                paddingTop: '30px', padding: '15px',  flex: '0 0 20%', position: "relative",
                                borderRight: '1px solid white', minWidth:'25%', maxWidth: '25%', textAlign: 'center'                            }}>
                                <div className='feature-icon'>
                                    <i className='fas fa-credit-card mb-10' style={{color: '#e06377' , fontSize: '25px'}}> </i>
                                </div>
                                <div className='feature-details'>
                                    <h5 className="mont">ACCEPTER LE PAIEMENT</h5>
                                    <span style={{color: '#6e6e6e'}}>PayPal/CC</span>
                                </div>

                            </div>
                            {/*<div style={{*/}
                            {/*    marginTop: '30px', padding: '0 15px',  flex: '0 0 20%', position: "relative", borderRight: '1px solid #e8e8e8',*/}
                            {/*    width:'20%', maxWidth: '20%', textAlign: 'center'*/}
                            {/*}}>*/}
                            {/*    <div className='feature-icon'>*/}
                            {/*        <i className='fas fa-truck mb-10' style={{color: '#e06377' , fontSize: '25px'}}> </i>*/}
                            {/*    </div>*/}
                            {/*    <div className='feature-details'>*/}
                            {/*        <h5 className="mont">LIVRAISON</h5>*/}
                            {/*        <span style={{color: '#6e6e6e'}}> {shipping_fee} {currency} </span>*/}
                            {/*        /!*<span style={{color: '#6e6e6e'}}>Albania: 300 Lekë </span>*!/*/}
                            {/*    </div>*/}

                            {/*</div>*/}
                            <div  style={{
                                paddingTop: '30px', padding: '15px',  flex: '0 0 20%', position: "relative",
                                borderRight: '0', minWidth:'25%', maxWidth: '25%', textAlign: 'center'
                            }}>
                                <div className='feature-icon'>
                                    <i className='fas fa-calendar-minus mb-10' style={{color: '#e06377' , fontSize: '25px'}}> </i>
                                </div>
                                <div className='feature-details'>
                                    <h5 className="mont">EXPÉDITION</h5>
                                    <span style={{color: '#6e6e6e'}}>Livraison très rapide</span>
                                </div>

                            </div>
                        </div>
                    </div>




                        <div className="d-sm-none">
                        <div className='row ' style={{backgroundColor: 'white'}}>
                            <div  style={{
                                marginTop: '30px', padding: '0 15px',  flex: '0 0 20%', position: "relative",
                                borderRight: '1px solid white', minWidth:'33%', maxWidth: '33%', textAlign: 'center'
                            }}>
                                <div className='feature-icon'>
                                    <i style={{color: '#e06377', fontSize: '25px'}} className='fas fa-headphones mb-10'> </i>
                                </div>
                                <div className='feature-details'>
                                    <h5 className="mont" style={{fontSize: '14px'}}>PAIEMENT SÉCURISÉ</h5>
                                    <span style={{color: '#6e6e6e', fontSize: '12px'}}>100% sécurisé</span>
                                </div>

                            </div>

                            <div   style={{
                                marginTop: '30px', padding: '0 15px',  flex: '0 0 20%', position: "relative",
                                borderRight: '1px solid white', minWidth:'33%', maxWidth: '33%', textAlign: 'center'
                            }}>
                                <div className='feature-icon'>
                                    <i className='fas fa-credit-card mb-10' style={{color: '#e06377' , fontSize: '25px'}}> </i>
                                </div>
                                <div className='feature-details'>
                                    <h5 className="mont" style={{fontSize: '14px'}}>ACCEPTER LE PAIEMENT</h5>
                                    <span style={{color: '#6e6e6e', fontSize: '12px'}}>PayPal/CC</span>
                                </div>

                            </div>
                            {/*<div style={{*/}
                            {/*    marginTop: '30px', padding: '0 15px',  flex: '0 0 20%', position: "relative", borderRight: '1px solid #e8e8e8',*/}
                            {/*    minWidth:'25%', maxWidth: '25%', textAlign: 'center'*/}
                            {/*}}>*/}
                            {/*    <div className='feature-icon'>*/}
                            {/*        <i className='fas fa-truck mb-10' style={{color: '#e06377' , fontSize: '25px'}}> </i>*/}
                            {/*    </div>*/}
                            {/*    <div className='feature-details'>*/}
                            {/*        <h5 className="mont" style={{fontSize: '14px'}}>LIVRAISON</h5>*/}
                            {/*        <span style={{color: '#6e6e6e', fontSize: '12px'}}>{shipping_fee} {currency}</span>*/}
                            {/*        /!*<span style={{color: '#6e6e6e', fontSize: '12px'}}>Albania: 300 Lekë</span>*!/*/}
                            {/*    </div>*/}
                            {/*</div>*/}
                            <div  style={{
                                marginTop: '30px', padding: '0 15px',  flex: '0 0 20%', position: "relative",
                                minWidth:'33%', maxWidth: '33%', textAlign: 'center'
                            }}>
                                <div className='feature-icon'>
                                    <i style={{color: '#e06377', fontSize: '25px'}} className='fas fa-headphones mb-10'> </i>
                                </div>
                                <div className='feature-details'>
                                    <h5 className="mont" style={{fontSize: '14px'}}>24/7 SUPPORT</h5>
                                    <span style={{color: '#6e6e6e', fontSize: '12px'}}>Support à chaque fois</span>
                                </div>
                                

                            </div>

                        </div>
                    </div>
                    </div>

            </section>

        )
    }


}
