import  React, { Component } from 'react'
import Store, {countCartProdsVar, countWishProdsVar} from '../../utils/store'
// import slider2 from "../../../../../public/assets/images/cover.jpg";
import playStore from "../../../../../public/assets/images/playStore.png";


export default class HeaderPart extends Component {

    // unsub = null;
    constructor(props) {
        super(props);
        const store = new Store('mangopaid');
        this.state = {
            store: store,
            user: null,
            wishCount: null,
            cartCount: null,
            token: null,
            products: [],
            searchValue: '',
            loginInfo: {
                log_email: '',
                log_password: ''
            },
            registerInfo: {
                name: '',
                email: '',
                password: '',
                confirm:''
            },
            currency: 'MKD'
        }
        this.filterHeaderCategory = this.filterHeaderCategory.bind(this);
        this.filterHeaderSubcategory = this.filterHeaderSubcategory.bind(this);
        this.oncH = this.oncH.bind(this);
        this.searchOnClick = this.searchOnClick.bind(this);
        this.inputName = this.inputName.bind(this);
        this.inputEmail = this.inputEmail.bind(this);
        this.inputPassword = this.inputPassword.bind(this);
        // this.inputCity = this.inputCity.bind(this);
        // this.inputStreet = this.inputStreet.bind(this);
        this.inputLogEmail = this.inputLogEmail.bind(this);
        this.inputConfirm = this.inputConfirm.bind(this);
        this.inputLogPassword = this.inputLogPassword.bind(this);
        this.clear = this.clear.bind(this);
        this.setCurrency = this.setCurrency.bind(this);
        // this.login = this.login.bind(this);
        // this.signup = this.signup.bind(this);
        countWishProdsVar.subscribe(data=> this.setState({wishCount: data}));
        countCartProdsVar.subscribe(data=> this.setState({cartCount: data}));
    }


    // componentDidMount() {
    //     setTimeout(
    //         () => {
    //             let check = false;
    //             (function(a){if(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(a)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(a.substr(0,4))) check = true;})(navigator.userAgent||navigator.vendor||window.opera);
    //             if (check) {
    //                 $('#testModal').modal('show')
    //             }
    //         }, 1000);
    // }

    inputName(event) {
        console.log('name', event.target.value);
        this.setState({
            ...this.state,
            registerInfo: {
                ...this.state.registerInfo,
                name: event.target.value
            }
        });
    }

    inputEmail(event) {
        this.setState({
            ...this.state,
            registerInfo: {
                ...this.state.registerInfo,
                email:event.target.value
            }
        });
    }

    inputPassword(event) {
        this.setState({
            ...this.state,
            registerInfo: {
                ...this.state.registerInfo,
                password:event.target.value
            }
        });
    }


    // inputCity(event) {
    //     this.setState({
    //         ...this.state,
    //         registerInfo: {
    //             ...this.state.registerInfo,
    //             city:event.target.value
    //         }
    //     });
    // }

    inputConfirm(event) {
        this.setState({
            ...this.state,
            registerInfo: {
                ...this.state.registerInfo,
                confirm:event.target.value
            }
        });
    }
    inputLogEmail(event) {
        this.setState({
            ...this.state,
            loginInfo: {
                ...this.state.loginInfo,
                log_email:event.target.value
            }
        });
    }
    inputLogPassword(event) {
        this.setState({
            ...this.state,
            loginInfo: {
                ...this.state.loginInfo,
                log_password:event.target.value
            }
        });
    }
    // signup(){
    //
    //
    //
    // }
    //
    // login(){
    //
    //
    // }

    filterHeaderCategory(category){
        let prods = [];
        // categories.map((category, categoryIndex) =>
        category.sub_categories.map((subcategory, subIndex) =>
            subcategory.products.map((product, productIndex) =>
                prods.push(product)
            )
        )
        this.setState({products: prods})
    }

    filterHeaderSubcategory(subcategory){
        let prods = [];
        // categories.map((category, categoryIndex) =>
        subcategory.products.map((product, productIndex) =>
                prods.push(product)

        )
        this.setState({products: prods})
    }




    oncH(event) {
        this.setState({
            ...this.state,
            searchValue:  event.target.value
        });

        console.log('searchValue', event.target.value);

    }

    searchOnClick(){
        this.state.store.publishSearch( this.state.searchValue);
        window.location = this.state.store.get().base_url + '/list';
    }

    setCurrency(currency){
        this.state.store.setCurrency(currency);
        window.location.href = window.location.href;
        // window.location.refresh();
        // this.setState({
        //     currency: currency
        //     }
        // )
        // console.log('currency', currency);

    }


    clear(){
        return this.state.store.clearSession();
    }


    render() {
        let isLogged = this.props.isLogged;
        const log = this.props.logo;
        let categories = this.props.categories;

        // const {store} = this.state.store;


        return (
            <div>



            <section className="header-area mont" style={{padding:'0', zIndex:'99999'}}>
                <div className="header-navbar">
                    <div className="container-fluid custom-container" style={{padding:'0'}}>
                        <div className="row align-items-center" style={{padding:'15px 25px', width: '100%'}}>
                            <div className="col-lg-2 col-md-7 col-8  order-1 order-lg-1">
                                <div className="header-brand d-flex justify-content-between align-items-center">
                                    <div className="header-toggle d-lg-none">
                                        <a className="toggle">
                                            <i className="fal fa-bars"> </i>
                                        </a>
                                    </div>
                                    <div className="header-logo d-none d-lg-block ">
                                        <a href="/">
                                            <img src={log} alt="logo" style={{height:'66px'}}/>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div className="col-lg-8 order-3 order-lg-2">
                                <div className="header-menu">
                                    <ul className="meain-menu" style={{margin: '0'}}>
                                        <img src={log} className='d-lg-none' style={{ margin: '0 30% 50px 40%', textAlign:'center', width: '30%'}}/>
                                        <li className="menu-item-has-children mont">
                                            <a href="/">Accueil <i className="fal"> </i> </a>
                                        </li>
                                        <li className="menu-item-has-children mont d-lg-none">
                                            <a href="/list">Collection <i className="fal"> </i> </a>
                                        </li>
                                            <ul className="category-menu menu-expand d-lg-none">
                                                {
                                                    categories.map((category, catIndex) =>
                                                        <li  key={catIndex} className="active menu-item-has-children mont" >
                                                            <a href={"#homeSubmenu" + catIndex} data-toggle="collapse" aria-expanded="false"
                                                               className="dropdown-toggle" style={{cursor: 'pointer', textTransform: 'uppercase', color: '#222'}}>{category.title}</a>
                                                            <ul className="collapse list-unstyled" id={"homeSubmenu"+ catIndex} >
                                                                {
                                                                    category.sub_categories.map((subcategory, catIndex) =>
                                                                        <li key={catIndex} style={{paddingLeft: '15px'}}><a href={'/list/'+category.title+'/'+subcategory.title} style={{cursor: 'pointer'}}
                                                                                                                            >{subcategory.title}</a>
                                                                        </li>
                                                                    )
                                                                }
                                                            </ul>
                                                        </li>
                                                    )
                                                }
                                            </ul>

                                        <li className="menu-item-has-children mont d-none d-lg-block">
                                        <a href="/list">Collection <i className="fal fa-chevron-down"> </i></a>
                                            <ul className="sub-mega-menu flex-wrap">

                                                {

                                                    categories.map((category, catId) =>
                                                        <li key={catId} className="menu-item-has-children mont">

                                                            <a className="menu-title mont" href={'/list/'+category.title} onClick={()=>this.filterHeaderCategory(category)}>{category.title}</a>
                                                            <ul className="mega-menu-items mont">
                                                                {
                                                                    category.sub_categories.map((subcategory, subId) =>
                                                                        <li key={subId}><a href={'/list/'+category.title+'/'+subcategory.title} onClick={()=>{this.filterHeaderSubcategory(subcategory)}}>{subcategory.title}</a></li>
                                                                    )
                                                                }
                                                            </ul>
                                                        </li>
                                                    )
                                                }
                                            </ul>
                                        </li>
                                        <li className="menu-item-has-children">
                                            <a href="/about" className="mont">Qui sommes nous <i className="fal"> </i> </a>

                                        </li>
                                        <li>
                                            <a href="/contact" className="mont">Contact <i className="fal"> </i></a></li>


                                    </ul>
                                    <a href="#" className="menu-close d-lg-none mont"><i
                                        className="fal fa-times"> </i></a>
                                </div>
                            </div>
                            <div className="col-lg-2 col-md-5 col-4 order-2 order-lg-3 mont">
                                <div className="header-meta">
                                    <ul className="meta" style={{margin: '0'}}>
                                        <li><a className="search mont" ><i
                                            className="flaticon-search"> </i></a></li>
                                        <li>
                                            <a href="/wishlist" className="mont">
                                                <i title="View Wishlist" className="flaticon-heart"> </i>
                                                <span> {this.state.wishCount} </span>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="/cart" className="mont">
                                                <i title="View Cart" className="flaticon-shopping-cart"> </i>
                                                <span> {this.state.cartCount} </span>
                                            </a>
                                        </li>
                                        {/*<li>*/}
                                        {/*    <div className="dropdown mont">*/}
                                        {/*        <button id="dropdownMenuButton" data-toggle="dropdown"*/}
                                        {/*                aria-haspopup="true" aria-expanded="false">*/}
                                        {/*            <i className="fa fa-euro-sign"> </i>*/}
                                        {/*        </button>*/}
                                        {/*        <ul className="dropdown-menu" aria-labelledby="dropdownMenuButton">*/}
                                        {/*            <li className="pointer"><a  onClick={()=>{this.setCurrency('MKD')}} className='navbar-brand mont'>MKD</a></li>*/}
                                        {/*            <li className="pointer"><a  onClick={()=>{this.setCurrency('Euro')}} className='navbar-brand mont'>Euro</a></li>*/}
                                        {/*            <li className="pointer"><a  onClick={()=>{this.setCurrency('Lek')}} className='navbar-brand mont'>Lek</a></li>*/}
                                        {/*        </ul></div>*/}
                                        {/*</li>*/}
                                        <li>
                                            <div className="dropdown mont">
                                                <button id="dropdownMenuButton" data-toggle="dropdown"
                                                        aria-haspopup="true" aria-expanded="false">
                                                    <i className="flaticon-settings"> </i>
                                                </button>
                                                <ul className="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                    {isLogged ?
                                                        <React.Fragment>
                                                            <li><a href="/profile" className='navbar-brand mont'>Profil</a>
                                                            </li>
                                                            <li><a href="/orders" className='navbar-brand mont'>Mes commandes</a>
                                                            </li>
                                                            <li><a href="/logout" className='navbar-brand mont' onClick={this.clear}>Se déconnecter</a>
                                                            </li>

                                                        </React.Fragment>
                                                        :
                                                        <React.Fragment>
                                                            <li><a style={{cursor: 'pointer'}} data-toggle="modal" data-target="#loginModal" className="mont">S'identifier</a></li>
                                                            <li><a style={{cursor: 'pointer'}} data-toggle="modal" data-target="#signupModal" className="mont">S'enregistrer</a></li>
                                                        </React.Fragment>
                                                    }

                                                </ul>
                                            </div>
                                        </li>
                                    </ul>


                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div className="overlay"></div>

                <div className="header-search">
                    {/*<form action="/list" method="get">*/}
                        <div className="search-input">
                            <input type="text" name="search" value={this.state.searchValue} onChange={this.oncH} placeholder="Cherche ici...."/>
                            <span className="product-cart-btn">
                                <button className="cart-btn search-button" onClick={this.searchOnClick}> Cherche
                                <span style={{paddingLeft: '5px'}} className="search" ><i
                                    className="flaticon-search"> </i></span>
                                </button>

                            </span>
                        </div>
                        <span className="search-close" style={{left: '17px',
                            top: '52%', width: '30px'}}><i className="fal fa-times"> </i></span>
                    {/*</form>*/}
                </div>

            </section>

                <div className="modal fade" id="loginModal" data-backdrop="static" data-keyboard="false"
                     tabIndex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                    <div className="modal-dialog d-block " style={{marginTop: '10% ', marginBottom: '15% ', height: '30%', maxHeight: '50%'}}>
                        <div className="modal-content" style={{marginTop: '35%'}}>

                            <div style={{padding: '20px'}} ><i data-dismiss="modal" style={{float:'right', fontSize: '15px', cursor: 'pointer'}} className="fa fa-times" aria-hidden="true"> </i> </div>

                            <section className="login-area pt-80" >
                                <div className="container">
                                    <div className="row justify-content-center">
                                        <div className="col-10">
                                            <div className="login-form text-center">
                                                <h4 className="title" > Je suis déjà client
                                                </h4>
                                                <form noValidate className="form-auth-small" method="POST"
                                                      action="/login-new">
                                                    <div className="single-form">
                                                        <input type="email" placeholder="E-mail" name="email" onChange={this.inputLogEmail} required/>
                                                    </div>
                                                    <div className="single-form">
                                                        <input type="password" placeholder="Mot de passe" name="password" onChange={this.inputLogPassword} required/>
                                                    </div>
                                                    <div className="single-form">
                                                        <button className="main-btn" type="submit">S'identifier</button>
                                                        <p> <a className="register" data-dismiss="modal" data-toggle="modal" data-target="#signupModal" style={{color: '#e06377', cursor: 'pointer'}}>
                                                            Je ne suis pas encore client
                                                        </a></p>
                                                    </div>
                                                    <div className="single-form">
                                                        <ul className="remember-forgot d-flex justify-content-between">
                                                            {/*<li>*/}
                                                            {/*    <input type="checkbox" name="checkbox" id="checkbox"/>*/}
                                                            {/*        <label htmlFor="checkbox"><span></span>Remember*/}
                                                            {/*            Me</label>*/}
                                                            {/*</li>*/}
                                                            {/*<li>*/}
                                                            {/*    <p> <a href="#"> Forgot password?</a></p>*/}
                                                            {/*</li>*/}
                                                        </ul>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </section>


                        </div>
                    </div>
                </div>

                <div className="modal fade" id="signupModal" data-backdrop="static" data-keyboard="false"
                     tabIndex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                    <div className="modal-dialog d-block " style={{marginTop: '10% ', marginBottom: '15% ', height: '30%', maxHeight: '50%'}}>
                        <div className="modal-content" >

                            <div style={{padding: '20px'}} ><i data-dismiss="modal" style={{float:'right', fontSize: '15px', cursor: 'pointer'}} className="fa fa-times" aria-hidden="true"> </i> </div>

                            <section className="login-area pt-10">
                                <div className="container">
                                    <div className="row justify-content-center">
                                        <div className="col-lg-10 col-md-8 col-sm-10">
                                            <div className="login-form text-center">
                                                <h4 className="title">Créer son compte</h4>
                                                <form noValidate className="form-auth-small" method="POST"
                                                      action="/register-new">
                                                    <div className="single-form">
                                                        <input type="text" name="name" placeholder="Prénom" onChange={this.inputName}/>
                                                    </div>
                                                    {/*<div className="single-form">*/}
                                                    {/*    <input type="text" placeholder="Last Name"/>*/}
                                                    {/*</div>*/}
                                                    <div className="single-form">
                                                        <input type="email" placeholder="E-mail" name="email" onChange={this.inputEmail}/>
                                                    </div>
                                                    <div className="single-form">
                                                        <input type="password" placeholder="Mot de passe" name="password" onChange={this.inputPassword}/>
                                                    </div>
                                                    <div className="single-form">
                                                        <input type="password" placeholder="Confirmez le mot de passe" name="password_confirmation" onChange={this.inputConfirm}/>
                                                    </div>
                                                    {/*<div className="single-form">*/}
                                                    {/*    <input type="password" placeholder="Confirm your Password"/>*/}
                                                    {/*</div>*/}
                                                    {/*<div className="single-form">*/}
                                                    {/*    <input type="password" placeholder="City" onChange={this.inputCity}/>*/}
                                                    {/*</div>*/}
                                                    {/*<div className="single-form">*/}
                                                    {/*    <input type="text" placeholder="Street" onChange={this.inputStreet}/>*/}
                                                    {/*</div>*/}

                                                    <div className="single-form">
                                                        <button className="main-btn" type="submit">S'enregistrer</button>
                                                    </div>
                                                    <div className="single-form">
                                                        <ul className="remember-forgot">

                                                            <li>
                                                                <p> <a style={{cursor: 'pointer'}} data-dismiss="modal" data-toggle="modal" data-target="#loginModal">
                                                                    JE SUIS DÉJÀ CLIENT
                                                                </a></p>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </section>


                        </div>
                    </div>
                </div>

                {/*<div className="modal fade d-lg-none" id="testModal" data-backdrop="static" data-keyboard="false"*/}
                {/*     tabIndex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" style={{backgroundColor: 'rgba(255, 255, 255, 0.3)', marginBottom: '15px'}} >*/}
                {/*    <div className="modal-dialog d-block " style={{marginTop: '10% ', marginBottom: '15% ', backgroundColor: 'rgba(255, 255, 255, 0.7)'}}>*/}
                {/*        <div className="modal-content" style={{ backgroundColor: 'rgba(34, 34, 34, 0.3)', marginBottom: '15px'}}>*/}
                {/*            <div className='row'>*/}
                {/*                <div className='col-6'>*/}
                {/*                    <a  href='/openApp' className="main-btn" style={{backgroundColor: '#e06377', color: 'white', margin: '20px'}}>GO TO APP</a>*/}
                {/*                </div>*/}
                {/*                <div className='col-6'>*/}
                {/*                    <div style={{padding: '20px'}} ><i data-dismiss="modal" style={{margin:'20', float:'right', fontSize: '15px', cursor: 'pointer'}} className="fa fa-times" aria-hidden="true"> </i> </div>*/}
                {/*                </div>*/}

                {/*            </div>*/}
                {/*        </div>*/}
                {/*    </div>*/}
                {/*</div>*/}


                            {/*<section className="newsletter-area" >*/}
                            {/*    <div className="container newsletter-container" style={{backgroundColor: 'rgba(34, 34, 34, 0.3)', marginBottom: '30px'}}>*/}
                            {/*        <div className="newsletter-wrapper" style={{ backgroundImage: "url("+playStore+")"}}>*/}
                            {/*            <div className="row align-items-center">*/}
                            {/*                <div className="col-lg-5">*/}
                            {/*                    <div*/}
                            {/*                        className="newsletter-content-wrapper d-sm-flex align-items-center">*/}
                            {/*                        <div className="newsletter-icon">*/}
                            {/*                            <i style={{color: 'white'}} className="fal fa-mobile"></i>*/}
                            {/*                        </div>*/}
                            {/*                        <div className="newsletter-content media-body">*/}
                            {/*                            /!*<h5 className="title">Get Discount <span>30% Off !</span></h5>*!/*/}
                            {/*                            <p>You can visit our mobile app.</p>*/}
                            {/*                        </div>*/}
                            {/*                    </div>*/}
                            {/*                </div>*/}
                            {/*                <div className="col-lg-7">*/}
                            {/*                    <div className="newsletter-form">*/}
                            {/*                        <form action="#">*/}
                            {/*                                <a  href='/openApp' className="main-btn" style={{backgroundColor: '#222'}}>GO TO APP</a>*/}
                            {/*                        </form>*/}
                            {/*                    </div>*/}
                            {/*                </div>*/}
                            {/*            </div>*/}
                            {/*        </div>*/}
                            {/*    </div>*/}
                            {/*</section>*/}








                </div>
        )
    }

}
